# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations

from typing import TYPE_CHECKING

from datadog_api_client.model_utils import (
    ModelNormal,
    cached_property,
)


if TYPE_CHECKING:
    from datadog_api_client.v2.model.cvss import CVSS


class VulnerabilityCvss(ModelNormal):
    @cached_property
    def openapi_types(_):
        from datadog_api_client.v2.model.cvss import CVSS

        return {
            "base": (CVSS,),
            "datadog": (CVSS,),
        }

    attribute_map = {
        "base": "base",
        "datadog": "datadog",
    }

    def __init__(self_, base: CVSS, datadog: CVSS, **kwargs):
        """
        Vulnerability severities.

        :param base: Vulnerability severity.
        :type base: CVSS

        :param datadog: Vulnerability severity.
        :type datadog: CVSS
        """
        super().__init__(kwargs)

        self_.base = base
        self_.datadog = datadog
