# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations


from datadog_api_client.model_utils import (
    ModelSimple,
    cached_property,
)

from typing import ClassVar


class VulnerabilityEcosystem(ModelSimple):
    """
    The related vulnerability asset ecosystem.

    :param value: Must be one of ["PyPI", "Maven", "NuGet", "Npm", "RubyGems", "Go", "Packagist", "Ddeb", "Rpm", "Apk", "Windows"].
    :type value: str
    """

    allowed_values = {
        "PyPI",
        "Maven",
        "NuGet",
        "Npm",
        "RubyGems",
        "Go",
        "Packagist",
        "Ddeb",
        "Rpm",
        "Apk",
        "Windows",
    }
    PYPI: ClassVar["VulnerabilityEcosystem"]
    MAVEN: ClassVar["VulnerabilityEcosystem"]
    NUGET: ClassVar["VulnerabilityEcosystem"]
    NPM: ClassVar["VulnerabilityEcosystem"]
    RUBY_GEMS: ClassVar["VulnerabilityEcosystem"]
    GO: ClassVar["VulnerabilityEcosystem"]
    PACKAGIST: ClassVar["VulnerabilityEcosystem"]
    D_DEB: ClassVar["VulnerabilityEcosystem"]
    RPM: ClassVar["VulnerabilityEcosystem"]
    APK: ClassVar["VulnerabilityEcosystem"]
    WINDOWS: ClassVar["VulnerabilityEcosystem"]

    @cached_property
    def openapi_types(_):
        return {
            "value": (str,),
        }


VulnerabilityEcosystem.PYPI = VulnerabilityEcosystem("PyPI")
VulnerabilityEcosystem.MAVEN = VulnerabilityEcosystem("Maven")
VulnerabilityEcosystem.NUGET = VulnerabilityEcosystem("NuGet")
VulnerabilityEcosystem.NPM = VulnerabilityEcosystem("Npm")
VulnerabilityEcosystem.RUBY_GEMS = VulnerabilityEcosystem("RubyGems")
VulnerabilityEcosystem.GO = VulnerabilityEcosystem("Go")
VulnerabilityEcosystem.PACKAGIST = VulnerabilityEcosystem("Packagist")
VulnerabilityEcosystem.D_DEB = VulnerabilityEcosystem("Ddeb")
VulnerabilityEcosystem.RPM = VulnerabilityEcosystem("Rpm")
VulnerabilityEcosystem.APK = VulnerabilityEcosystem("Apk")
VulnerabilityEcosystem.WINDOWS = VulnerabilityEcosystem("Windows")
