# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations


from datadog_api_client.model_utils import (
    ModelSimple,
    cached_property,
)

from typing import ClassVar


class VulnerabilityTool(ModelSimple):
    """
    The vulnerability tool.

    :param value: Must be one of ["IAST", "SCA", "Infra"].
    :type value: str
    """

    allowed_values = {
        "IAST",
        "SCA",
        "Infra",
    }
    IAST: ClassVar["VulnerabilityTool"]
    SCA: ClassVar["VulnerabilityTool"]
    INFRA: ClassVar["VulnerabilityTool"]

    @cached_property
    def openapi_types(_):
        return {
            "value": (str,),
        }


VulnerabilityTool.IAST = VulnerabilityTool("IAST")
VulnerabilityTool.SCA = VulnerabilityTool("SCA")
VulnerabilityTool.INFRA = VulnerabilityTool("Infra")
